@ECHO OFF
CLS
IF EXIST PMAPED\FRTRUN.FLG goto pscreen
ECHO.>PMAPED\FRTRUN.FLG
ECHO.
ECHO  ------------------------------------------------
ECHO  THIS PROGRAM WILL PATCH YOUR MAPEDIT.EXE TO UNLOCK
ECHO  SEVERAL FEATURES SUCH AS COMMANDS FROM 12 TO 64,
ECHO  TYPES (LO-TAGS) THAT HIDDEN IN LIST AND MANY MORE.
ECHO  ------------------------------------------------
ECHO.
ECHO  ------------------------------------------------
ECHO  !IMPORTANT: ONCE EDITED MAP IN PATCHED MAPEDIT
ECHO  SHOULD WILL NOT EVER OPENED IN ORIGINAL MAPEDIT 
ECHO  AS TYPES, PALETTES, ETC... WILL BE RESET BACK.
ECHO  COMPATIBLE FEATURES ARE MARKED WITH YELLOW "*"
ECHO  SYMBOL IN THE END OF IT'S NAME.
ECHO  ------------------------------------------------
ECHO.
ECHO  ------------------------------------------------
ECHO  BEFORE YOU PROCEED IS RECOMMENDED TO BACKUP 
ECHO  MAPEDIT.EXE. WHEN WORKING WITH PATCHED MAPEDIT,
ECHO  IT'S RECOMMENDED TO BACKUP YOUR MAP FILES.
ECHO  ------------------------------------------------
ECHO.
ECHO  PRESS ANY KEY TO CONTINUE...
ECHO  NoOne, may 2018
pause>nul
:pscreen
CLS
ECHO.
ECHO  SELECT WHAT YOU WANT TO BE PATCHED                    [1;37mPRESS [1;32m[X][1;37m TO EXIT[0m
ECHO  -----------------------------------------------------------------------
ECHO  [1;32m[1] [1;37mADD ACTIVE UNUSED ITEMS IN SPRITES MENU. [1;33m*[0m
ECHO      - Replaces inactive shrooms to Red Potion, Gas Mask, Feather Fall.
ECHO        Also replaces Wooden Chest to Medicine Pouch.
ECHO.
ECHO  [1;32m[2] [1;37mUNLOCK HIDDEN TYPES (LO-TAGS) FOR SPRITES.[0m
ECHO      - Allows to create some neat stuff, such as missiles and traps.
ECHO        Also replaces worthless things in Hazard list to new ones.
ECHO.
ECHO  [1;32m[3] [1;37mDISABLE SPRITE PALETTE AUTO-ADJUSTING.[0m
ECHO      - Allows to paint monsters and other things that cannot be painted.
ECHO.
ECHO  [1;32m[4] [1;37mDISABLE SPRITE SIZE AUTO-ADJUSTING.[0m
ECHO      - Allows to resize monsters and other things that cannot be resized.
ECHO.
ECHO  [1;32m[5] [1;37mUNLOCK HIDDEN COMMANDS BETWEEN 11 AND 64. [1;33m*[0m
ECHO      - Not tested carefully, so you have to experiment :)
ECHO.
ECHO  [1;35m[0] [1;37mDISABLE AUTO-ADJUST FUNCTION COMPLETELLY.[0m
ECHO      - Recommended only if  absolutelly sure you can control.
ECHO        everything manually.
ECHO.
CHOICE /C:123450x /N " "
CLS
IF ERRORLEVEL 7 goto exit
IF ERRORLEVEL 6 goto full
IF ERRORLEVEL 5 goto cmd
IF ERRORLEVEL 4 goto size
IF ERRORLEVEL 3 goto pal
IF ERRORLEVEL 2 goto type
IF ERRORLEVEL 1 goto items
goto exit

:cmd
PMAPED\MP PMAPED\MAPDCMD.CRK /C /P
CLS
ECHO.
ECHO  COMMANDS UNLOCKED, PRESS ANY KEY TO RETURN...
pause>nul
goto pscreen

:type
PMAPED\MP PMAPED\MAPDSTYP.CRK /C /P
CLS
ECHO.
ECHO  TYPES UNLOCKED. TO SET UNUSED TYPE IN MAPEDIT, PRESS ALT+T 
ECHO  ON SPRITE IN 2D MODE. DO YOU WANT ALSO ADD NEW TYPES 
ECHO  TO HAZARDS SPRITES LIST? [Y/N]
CHOICE /C:yn /N " "
IF ERRORLEVEL 2 goto pscreen
IF ERRORLEVEL 1 goto type_add_hazards
goto pscreen

:type_add_hazards
CLS
IF NOT EXIST PMAPED\HZTHING.CRK goto pscreen 
PMAPED\MP PMAPED\HZTHING.CRK /C /P
PMAPED\MP PMAPED\AATHING.CRK /C /P
PMAPED\MP PMAPED\ABTHING.CRK /C /P
PMAPED\MP PMAPED\ASTHING.CRK /C /P
CLS
ECHO.
ECHO  SPIKE TRAP WAS REPLACED TO: ARMED AEROSOL (TYPE 420),
ECHO  GUILITINE WAS REPLACED TO: ARMED BUNDLE OF TNT (TYPE 419),
ECHO  PENDULUM WAS REPLACED TO: ARMED STICK OF TNT (TYPE 418),
ECHO.
ECHO  HAZARD THINGS WAS JUST ADDED IN SPRITES MENU.
ECHO  TO USE THEM, PRESS ALT+S IN 3D MODE AND SELECT "HAZARD".
ECHO.
ECHO  YOU WILL ABLE TO SELECT TILE NUMBER MANUALLY.
ECHO  YOU ALSO CAN RESIZE AND PAINT THOSE TRAPS.
ECHO.
ECHO  PRESS ANY KEY TO RETURN...
pause>nul
goto pscreen

:pal
PMAPED\MP PMAPED\MAPDSPAL.CRK /C /P
CLS
ECHO.
ECHO  PALETTE CONTROL DISABLED, PRESS ANY KEY TO RETURN...
pause>nul
goto pscreen

:size
PMAPED\MP PMAPED\MAPDSIZE.CRK /C /P
CLS
ECHO.
ECHO  SPRITE SIZE CONTROL DISABLED, PRESS ANY KEY TO RETURN...
pause>nul
goto pscreen

:items
IF EXIST PMAPED\GMITEM.CRK PMAPED\MP PMAPED\GMITEM.CRK /C /P
IF EXIST PMAPED\FFITEM.CRK PMAPED\MP PMAPED\FFITEM.CRK /C /P
IF EXIST PMAPED\MPITEM.CRK PMAPED\MP PMAPED\MPITEM.CRK /C /P
IF EXIST PMAPED\RPITEM.CRK PMAPED\MP PMAPED\RPITEM.CRK /C /P
CLS
ECHO.
ECHO  ITEMS WAS JUST ADDED IN SPRITES MENU
ECHO  TO USE THEM, PRESS ALT+S IN 3D MODE AND SELECT "ITEMS".
ECHO  PRESS ANY KEY TO RETURN...
pause>nul
goto pscreen

:full
PMAPED\MP PMAPED\MAPDAAD.CRK /C /P
CLS
ECHO.
ECHO  AUTO-ADJUST FUNCTION DISABLED.
ECHO  YOU ARE ON YOUR OWN NOW! :) PRESS ANY KEY TO RETURN...
pause>nul
goto pscreen


:exit
CLS
ECHO.
ECHO  EXITING PROGRAM...


